/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./nodeapp.js");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./node_modules/webpack/buildin/harmony-module.js":
/*!*******************************************!*\
  !*** (webpack)/buildin/harmony-module.js ***!
  \*******************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = function (originalModule) {\n  if (!originalModule.webpackPolyfill) {\n    var module = Object.create(originalModule); // module.parent = undefined by default\n\n    if (!module.children) module.children = [];\n    Object.defineProperty(module, \"loaded\", {\n      enumerable: true,\n      get: function get() {\n        return module.l;\n      }\n    });\n    Object.defineProperty(module, \"id\", {\n      enumerable: true,\n      get: function get() {\n        return module.i;\n      }\n    });\n    Object.defineProperty(module, \"exports\", {\n      enumerable: true\n    });\n    module.webpackPolyfill = 1;\n  }\n\n  return module;\n};\n\n//# sourceURL=webpack:///(webpack)/buildin/harmony-module.js?");

/***/ }),

/***/ "./nodeapp.js":
/*!********************!*\
  !*** ./nodeapp.js ***!
  \********************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var http__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! http */ \"http\");\n/* harmony import */ var http__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(http__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! path */ \"path\");\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(path__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var fs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! fs */ \"fs\");\n/* harmony import */ var fs__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(fs__WEBPACK_IMPORTED_MODULE_2__);\n/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react */ \"react\");\n/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);\n/* harmony import */ var express__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! express */ \"express\");\n/* harmony import */ var express__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(express__WEBPACK_IMPORTED_MODULE_4__);\n/* harmony import */ var react_dom_server__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! react-dom/server */ \"react-dom/server\");\n/* harmony import */ var react_dom_server__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_dom_server__WEBPACK_IMPORTED_MODULE_5__);\n/* harmony import */ var _reactapp_app__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./reactapp/app */ \"./reactapp/app.js\");\n\n\n\n\n\n\n\nvar app = express__WEBPACK_IMPORTED_MODULE_4___default()();\nvar port = 3000;\napp.get('api/v1/places', function (req, res) {\n  http__WEBPACK_IMPORTED_MODULE_0___default.a.get('http://open-api.myhelsinki.fi/v1/places/', function (response) {\n    var chuncks = '';\n    response.on('data', function (data) {\n      chuncks += data;\n    });\n    response.on('end', function () {\n      try {\n        var rawdata = JSON.parse(chuncks);\n        var places = rawdata.data;\n        var now = new Date();\n        var today = now.getDay(); //Fix week day number to fit myhelsinki openapi format\n\n        today === 0 ? today = 6 : --today; //go through places and give boolean value whether open or not\n\n        for (var i = 0; i < places.length; i++) {\n          //TODO: Format time to comparable form and check availability\n          if (places[i].opening_hours && places[i].opening_hours.hours) {\n            places[i].open = !!places[i].opening_hours.hours[today].opens;\n          } else {\n            places[i].open = false;\n          }\n        }\n\n        res.json(places);\n      } catch (e) {\n        console.error(e.message);\n      }\n    });\n  });\n});\napp.get('/', function (req, res) {\n  var reactapp = react_dom_server__WEBPACK_IMPORTED_MODULE_5___default.a.renderToString( /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_3___default.a.createElement(_reactapp_app__WEBPACK_IMPORTED_MODULE_6__[\"default\"], null));\n  var indexFile = path__WEBPACK_IMPORTED_MODULE_1___default.a.resolve('./reactapp/index.html');\n  fs__WEBPACK_IMPORTED_MODULE_2___default.a.readFile(indexFile, 'utf8', function (err, data) {\n    if (err) {\n      console.error('Something went wrong:', err);\n      return res.status(500).send('Woops');\n    }\n\n    return res.send(data.replace('<tbody id=\"places\"></>', \"<tbody id=\\\"places\\\">\".concat(reactapp, \"</tbody>\")));\n  });\n});\napp.use(express__WEBPACK_IMPORTED_MODULE_4___default.a[\"static\"]('./reactapp'));\napp.listen(port, function () {\n  console.log(\"Server listening on the port::\".concat(port));\n});\n\n//# sourceURL=webpack:///./nodeapp.js?");

/***/ }),

/***/ "./reactapp/app.js":
/*!*************************!*\
  !*** ./reactapp/app.js ***!
  \*************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ \"react\");\n/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _places__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./places */ \"./reactapp/places.js\");\n\n\n/* harmony default export */ __webpack_exports__[\"default\"] = (function () {\n  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(_places__WEBPACK_IMPORTED_MODULE_2__[\"default\"], null);\n});\n\n//# sourceURL=webpack:///./reactapp/app.js?");

/***/ }),

/***/ "./reactapp/node_modules/prop-types/checkPropTypes.js":
/*!************************************************************!*\
  !*** ./reactapp/node_modules/prop-types/checkPropTypes.js ***!
  \************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* WEBPACK VAR INJECTION */(function(module) {/* harmony import */ var _babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @babel/runtime/helpers/typeof */ \"@babel/runtime/helpers/typeof\");\n/* harmony import */ var _babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_0__);\n/**\n * Copyright (c) 2013-present, Facebook, Inc.\n *\n * This source code is licensed under the MIT license found in the\n * LICENSE file in the root directory of this source tree.\n */\n\n\n\n\nvar printWarning = function printWarning() {};\n\nif (true) {\n  var ReactPropTypesSecret = __webpack_require__(/*! ./lib/ReactPropTypesSecret */ \"./reactapp/node_modules/prop-types/lib/ReactPropTypesSecret.js\");\n\n  var loggedTypeFailures = {};\n  var has = Function.call.bind(Object.prototype.hasOwnProperty);\n\n  printWarning = function printWarning(text) {\n    var message = 'Warning: ' + text;\n\n    if (typeof console !== 'undefined') {\n      console.error(message);\n    }\n\n    try {\n      // --- Welcome to debugging React ---\n      // This error was thrown as a convenience so that you can use this stack\n      // to find the callsite that caused this warning to fire.\n      throw new Error(message);\n    } catch (x) {}\n  };\n}\n/**\n * Assert that the values match with the type specs.\n * Error messages are memorized and will only be shown once.\n *\n * @param {object} typeSpecs Map of name to a ReactPropType\n * @param {object} values Runtime values that need to be type-checked\n * @param {string} location e.g. \"prop\", \"context\", \"child context\"\n * @param {string} componentName Name of the component for error messages.\n * @param {?Function} getStack Returns the component stack.\n * @private\n */\n\n\nfunction checkPropTypes(typeSpecs, values, location, componentName, getStack) {\n  if (true) {\n    for (var typeSpecName in typeSpecs) {\n      if (has(typeSpecs, typeSpecName)) {\n        var error; // Prop type validation may throw. In case they do, we don't want to\n        // fail the render phase where it didn't fail before. So we log it.\n        // After these have been cleaned up, we'll let them throw.\n\n        try {\n          // This is intentionally an invariant that gets caught. It's the same\n          // behavior as without this statement except with a better message.\n          if (typeof typeSpecs[typeSpecName] !== 'function') {\n            var err = Error((componentName || 'React class') + ': ' + location + ' type `' + typeSpecName + '` is invalid; ' + 'it must be a function, usually from the `prop-types` package, but received `' + _babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_0___default()(typeSpecs[typeSpecName]) + '`.');\n            err.name = 'Invariant Violation';\n            throw err;\n          }\n\n          error = typeSpecs[typeSpecName](values, typeSpecName, componentName, location, null, ReactPropTypesSecret);\n        } catch (ex) {\n          error = ex;\n        }\n\n        if (error && !(error instanceof Error)) {\n          printWarning((componentName || 'React class') + ': type specification of ' + location + ' `' + typeSpecName + '` is invalid; the type checker ' + 'function must return `null` or an `Error` but returned a ' + _babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_0___default()(error) + '. ' + 'You may have forgotten to pass an argument to the type checker ' + 'creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and ' + 'shape all require an argument).');\n        }\n\n        if (error instanceof Error && !(error.message in loggedTypeFailures)) {\n          // Only monitor this failure once because there tends to be a lot of the\n          // same error.\n          loggedTypeFailures[error.message] = true;\n          var stack = getStack ? getStack() : '';\n          printWarning('Failed ' + location + ' type: ' + error.message + (stack != null ? stack : ''));\n        }\n      }\n    }\n  }\n}\n/**\n * Resets warning cache when testing.\n *\n * @private\n */\n\n\ncheckPropTypes.resetWarningCache = function () {\n  if (true) {\n    loggedTypeFailures = {};\n  }\n};\n\nmodule.exports = checkPropTypes;\n/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__(/*! ./../../../node_modules/webpack/buildin/harmony-module.js */ \"./node_modules/webpack/buildin/harmony-module.js\")(module)))\n\n//# sourceURL=webpack:///./reactapp/node_modules/prop-types/checkPropTypes.js?");

/***/ }),

/***/ "./reactapp/node_modules/prop-types/factoryWithTypeCheckers.js":
/*!*********************************************************************!*\
  !*** ./reactapp/node_modules/prop-types/factoryWithTypeCheckers.js ***!
  \*********************************************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* WEBPACK VAR INJECTION */(function(module) {/* harmony import */ var _babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @babel/runtime/helpers/typeof */ \"@babel/runtime/helpers/typeof\");\n/* harmony import */ var _babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_0__);\n/**\n * Copyright (c) 2013-present, Facebook, Inc.\n *\n * This source code is licensed under the MIT license found in the\n * LICENSE file in the root directory of this source tree.\n */\n\n\n\n\nvar ReactIs = __webpack_require__(/*! react-is */ \"react-is\");\n\nvar assign = __webpack_require__(/*! object-assign */ \"object-assign\");\n\nvar ReactPropTypesSecret = __webpack_require__(/*! ./lib/ReactPropTypesSecret */ \"./reactapp/node_modules/prop-types/lib/ReactPropTypesSecret.js\");\n\nvar checkPropTypes = __webpack_require__(/*! ./checkPropTypes */ \"./reactapp/node_modules/prop-types/checkPropTypes.js\");\n\nvar has = Function.call.bind(Object.prototype.hasOwnProperty);\n\nvar printWarning = function printWarning() {};\n\nif (true) {\n  printWarning = function printWarning(text) {\n    var message = 'Warning: ' + text;\n\n    if (typeof console !== 'undefined') {\n      console.error(message);\n    }\n\n    try {\n      // --- Welcome to debugging React ---\n      // This error was thrown as a convenience so that you can use this stack\n      // to find the callsite that caused this warning to fire.\n      throw new Error(message);\n    } catch (x) {}\n  };\n}\n\nfunction emptyFunctionThatReturnsNull() {\n  return null;\n}\n\nmodule.exports = function (isValidElement, throwOnDirectAccess) {\n  /* global Symbol */\n  var ITERATOR_SYMBOL = typeof Symbol === 'function' && Symbol.iterator;\n  var FAUX_ITERATOR_SYMBOL = '@@iterator'; // Before Symbol spec.\n\n  /**\n   * Returns the iterator method function contained on the iterable object.\n   *\n   * Be sure to invoke the function with the iterable as context:\n   *\n   *     var iteratorFn = getIteratorFn(myIterable);\n   *     if (iteratorFn) {\n   *       var iterator = iteratorFn.call(myIterable);\n   *       ...\n   *     }\n   *\n   * @param {?object} maybeIterable\n   * @return {?function}\n   */\n\n  function getIteratorFn(maybeIterable) {\n    var iteratorFn = maybeIterable && (ITERATOR_SYMBOL && maybeIterable[ITERATOR_SYMBOL] || maybeIterable[FAUX_ITERATOR_SYMBOL]);\n\n    if (typeof iteratorFn === 'function') {\n      return iteratorFn;\n    }\n  }\n  /**\n   * Collection of methods that allow declaration and validation of props that are\n   * supplied to React components. Example usage:\n   *\n   *   var Props = require('ReactPropTypes');\n   *   var MyArticle = React.createClass({\n   *     propTypes: {\n   *       // An optional string prop named \"description\".\n   *       description: Props.string,\n   *\n   *       // A required enum prop named \"category\".\n   *       category: Props.oneOf(['News','Photos']).isRequired,\n   *\n   *       // A prop named \"dialog\" that requires an instance of Dialog.\n   *       dialog: Props.instanceOf(Dialog).isRequired\n   *     },\n   *     render: function() { ... }\n   *   });\n   *\n   * A more formal specification of how these methods are used:\n   *\n   *   type := array|bool|func|object|number|string|oneOf([...])|instanceOf(...)\n   *   decl := ReactPropTypes.{type}(.isRequired)?\n   *\n   * Each and every declaration produces a function with the same signature. This\n   * allows the creation of custom validation functions. For example:\n   *\n   *  var MyLink = React.createClass({\n   *    propTypes: {\n   *      // An optional string or URI prop named \"href\".\n   *      href: function(props, propName, componentName) {\n   *        var propValue = props[propName];\n   *        if (propValue != null && typeof propValue !== 'string' &&\n   *            !(propValue instanceof URI)) {\n   *          return new Error(\n   *            'Expected a string or an URI for ' + propName + ' in ' +\n   *            componentName\n   *          );\n   *        }\n   *      }\n   *    },\n   *    render: function() {...}\n   *  });\n   *\n   * @internal\n   */\n\n\n  var ANONYMOUS = '<<anonymous>>'; // Important!\n  // Keep this list in sync with production version in `./factoryWithThrowingShims.js`.\n\n  var ReactPropTypes = {\n    array: createPrimitiveTypeChecker('array'),\n    bool: createPrimitiveTypeChecker('boolean'),\n    func: createPrimitiveTypeChecker('function'),\n    number: createPrimitiveTypeChecker('number'),\n    object: createPrimitiveTypeChecker('object'),\n    string: createPrimitiveTypeChecker('string'),\n    symbol: createPrimitiveTypeChecker('symbol'),\n    any: createAnyTypeChecker(),\n    arrayOf: createArrayOfTypeChecker,\n    element: createElementTypeChecker(),\n    elementType: createElementTypeTypeChecker(),\n    instanceOf: createInstanceTypeChecker,\n    node: createNodeChecker(),\n    objectOf: createObjectOfTypeChecker,\n    oneOf: createEnumTypeChecker,\n    oneOfType: createUnionTypeChecker,\n    shape: createShapeTypeChecker,\n    exact: createStrictShapeTypeChecker\n  };\n  /**\n   * inlined Object.is polyfill to avoid requiring consumers ship their own\n   * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/is\n   */\n\n  /*eslint-disable no-self-compare*/\n\n  function is(x, y) {\n    // SameValue algorithm\n    if (x === y) {\n      // Steps 1-5, 7-10\n      // Steps 6.b-6.e: +0 != -0\n      return x !== 0 || 1 / x === 1 / y;\n    } else {\n      // Step 6.a: NaN == NaN\n      return x !== x && y !== y;\n    }\n  }\n  /*eslint-enable no-self-compare*/\n\n  /**\n   * We use an Error-like object for backward compatibility as people may call\n   * PropTypes directly and inspect their output. However, we don't use real\n   * Errors anymore. We don't inspect their stack anyway, and creating them\n   * is prohibitively expensive if they are created too often, such as what\n   * happens in oneOfType() for any type before the one that matched.\n   */\n\n\n  function PropTypeError(message) {\n    this.message = message;\n    this.stack = '';\n  } // Make `instanceof Error` still work for returned errors.\n\n\n  PropTypeError.prototype = Error.prototype;\n\n  function createChainableTypeChecker(validate) {\n    if (true) {\n      var manualPropTypeCallCache = {};\n      var manualPropTypeWarningCount = 0;\n    }\n\n    function checkType(isRequired, props, propName, componentName, location, propFullName, secret) {\n      componentName = componentName || ANONYMOUS;\n      propFullName = propFullName || propName;\n\n      if (secret !== ReactPropTypesSecret) {\n        if (throwOnDirectAccess) {\n          // New behavior only for users of `prop-types` package\n          var err = new Error('Calling PropTypes validators directly is not supported by the `prop-types` package. ' + 'Use `PropTypes.checkPropTypes()` to call them. ' + 'Read more at http://fb.me/use-check-prop-types');\n          err.name = 'Invariant Violation';\n          throw err;\n        } else if ( true && typeof console !== 'undefined') {\n          // Old behavior for people using React.PropTypes\n          var cacheKey = componentName + ':' + propName;\n\n          if (!manualPropTypeCallCache[cacheKey] && // Avoid spamming the console because they are often not actionable except for lib authors\n          manualPropTypeWarningCount < 3) {\n            printWarning('You are manually calling a React.PropTypes validation ' + 'function for the `' + propFullName + '` prop on `' + componentName + '`. This is deprecated ' + 'and will throw in the standalone `prop-types` package. ' + 'You may be seeing this warning due to a third-party PropTypes ' + 'library. See https://fb.me/react-warning-dont-call-proptypes ' + 'for details.');\n            manualPropTypeCallCache[cacheKey] = true;\n            manualPropTypeWarningCount++;\n          }\n        }\n      }\n\n      if (props[propName] == null) {\n        if (isRequired) {\n          if (props[propName] === null) {\n            return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required ' + ('in `' + componentName + '`, but its value is `null`.'));\n          }\n\n          return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required in ' + ('`' + componentName + '`, but its value is `undefined`.'));\n        }\n\n        return null;\n      } else {\n        return validate(props, propName, componentName, location, propFullName);\n      }\n    }\n\n    var chainedCheckType = checkType.bind(null, false);\n    chainedCheckType.isRequired = checkType.bind(null, true);\n    return chainedCheckType;\n  }\n\n  function createPrimitiveTypeChecker(expectedType) {\n    function validate(props, propName, componentName, location, propFullName, secret) {\n      var propValue = props[propName];\n      var propType = getPropType(propValue);\n\n      if (propType !== expectedType) {\n        // `propValue` being instance of, say, date/regexp, pass the 'object'\n        // check, but we can offer a more precise error message here rather than\n        // 'of type `object`'.\n        var preciseType = getPreciseType(propValue);\n        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + preciseType + '` supplied to `' + componentName + '`, expected ') + ('`' + expectedType + '`.'));\n      }\n\n      return null;\n    }\n\n    return createChainableTypeChecker(validate);\n  }\n\n  function createAnyTypeChecker() {\n    return createChainableTypeChecker(emptyFunctionThatReturnsNull);\n  }\n\n  function createArrayOfTypeChecker(typeChecker) {\n    function validate(props, propName, componentName, location, propFullName) {\n      if (typeof typeChecker !== 'function') {\n        return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside arrayOf.');\n      }\n\n      var propValue = props[propName];\n\n      if (!Array.isArray(propValue)) {\n        var propType = getPropType(propValue);\n        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an array.'));\n      }\n\n      for (var i = 0; i < propValue.length; i++) {\n        var error = typeChecker(propValue, i, componentName, location, propFullName + '[' + i + ']', ReactPropTypesSecret);\n\n        if (error instanceof Error) {\n          return error;\n        }\n      }\n\n      return null;\n    }\n\n    return createChainableTypeChecker(validate);\n  }\n\n  function createElementTypeChecker() {\n    function validate(props, propName, componentName, location, propFullName) {\n      var propValue = props[propName];\n\n      if (!isValidElement(propValue)) {\n        var propType = getPropType(propValue);\n        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected a single ReactElement.'));\n      }\n\n      return null;\n    }\n\n    return createChainableTypeChecker(validate);\n  }\n\n  function createElementTypeTypeChecker() {\n    function validate(props, propName, componentName, location, propFullName) {\n      var propValue = props[propName];\n\n      if (!ReactIs.isValidElementType(propValue)) {\n        var propType = getPropType(propValue);\n        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected a single ReactElement type.'));\n      }\n\n      return null;\n    }\n\n    return createChainableTypeChecker(validate);\n  }\n\n  function createInstanceTypeChecker(expectedClass) {\n    function validate(props, propName, componentName, location, propFullName) {\n      if (!(props[propName] instanceof expectedClass)) {\n        var expectedClassName = expectedClass.name || ANONYMOUS;\n        var actualClassName = getClassName(props[propName]);\n        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + actualClassName + '` supplied to `' + componentName + '`, expected ') + ('instance of `' + expectedClassName + '`.'));\n      }\n\n      return null;\n    }\n\n    return createChainableTypeChecker(validate);\n  }\n\n  function createEnumTypeChecker(expectedValues) {\n    if (!Array.isArray(expectedValues)) {\n      if (true) {\n        if (arguments.length > 1) {\n          printWarning('Invalid arguments supplied to oneOf, expected an array, got ' + arguments.length + ' arguments. ' + 'A common mistake is to write oneOf(x, y, z) instead of oneOf([x, y, z]).');\n        } else {\n          printWarning('Invalid argument supplied to oneOf, expected an array.');\n        }\n      }\n\n      return emptyFunctionThatReturnsNull;\n    }\n\n    function validate(props, propName, componentName, location, propFullName) {\n      var propValue = props[propName];\n\n      for (var i = 0; i < expectedValues.length; i++) {\n        if (is(propValue, expectedValues[i])) {\n          return null;\n        }\n      }\n\n      var valuesString = JSON.stringify(expectedValues, function replacer(key, value) {\n        var type = getPreciseType(value);\n\n        if (type === 'symbol') {\n          return String(value);\n        }\n\n        return value;\n      });\n      return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of value `' + String(propValue) + '` ' + ('supplied to `' + componentName + '`, expected one of ' + valuesString + '.'));\n    }\n\n    return createChainableTypeChecker(validate);\n  }\n\n  function createObjectOfTypeChecker(typeChecker) {\n    function validate(props, propName, componentName, location, propFullName) {\n      if (typeof typeChecker !== 'function') {\n        return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside objectOf.');\n      }\n\n      var propValue = props[propName];\n      var propType = getPropType(propValue);\n\n      if (propType !== 'object') {\n        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an object.'));\n      }\n\n      for (var key in propValue) {\n        if (has(propValue, key)) {\n          var error = typeChecker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret);\n\n          if (error instanceof Error) {\n            return error;\n          }\n        }\n      }\n\n      return null;\n    }\n\n    return createChainableTypeChecker(validate);\n  }\n\n  function createUnionTypeChecker(arrayOfTypeCheckers) {\n    if (!Array.isArray(arrayOfTypeCheckers)) {\n       true ? printWarning('Invalid argument supplied to oneOfType, expected an instance of array.') : undefined;\n      return emptyFunctionThatReturnsNull;\n    }\n\n    for (var i = 0; i < arrayOfTypeCheckers.length; i++) {\n      var checker = arrayOfTypeCheckers[i];\n\n      if (typeof checker !== 'function') {\n        printWarning('Invalid argument supplied to oneOfType. Expected an array of check functions, but ' + 'received ' + getPostfixForTypeWarning(checker) + ' at index ' + i + '.');\n        return emptyFunctionThatReturnsNull;\n      }\n    }\n\n    function validate(props, propName, componentName, location, propFullName) {\n      for (var i = 0; i < arrayOfTypeCheckers.length; i++) {\n        var checker = arrayOfTypeCheckers[i];\n\n        if (checker(props, propName, componentName, location, propFullName, ReactPropTypesSecret) == null) {\n          return null;\n        }\n      }\n\n      return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`.'));\n    }\n\n    return createChainableTypeChecker(validate);\n  }\n\n  function createNodeChecker() {\n    function validate(props, propName, componentName, location, propFullName) {\n      if (!isNode(props[propName])) {\n        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`, expected a ReactNode.'));\n      }\n\n      return null;\n    }\n\n    return createChainableTypeChecker(validate);\n  }\n\n  function createShapeTypeChecker(shapeTypes) {\n    function validate(props, propName, componentName, location, propFullName) {\n      var propValue = props[propName];\n      var propType = getPropType(propValue);\n\n      if (propType !== 'object') {\n        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));\n      }\n\n      for (var key in shapeTypes) {\n        var checker = shapeTypes[key];\n\n        if (!checker) {\n          continue;\n        }\n\n        var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret);\n\n        if (error) {\n          return error;\n        }\n      }\n\n      return null;\n    }\n\n    return createChainableTypeChecker(validate);\n  }\n\n  function createStrictShapeTypeChecker(shapeTypes) {\n    function validate(props, propName, componentName, location, propFullName) {\n      var propValue = props[propName];\n      var propType = getPropType(propValue);\n\n      if (propType !== 'object') {\n        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));\n      } // We need to check all keys in case some are required but missing from\n      // props.\n\n\n      var allKeys = assign({}, props[propName], shapeTypes);\n\n      for (var key in allKeys) {\n        var checker = shapeTypes[key];\n\n        if (!checker) {\n          return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` key `' + key + '` supplied to `' + componentName + '`.' + '\\nBad object: ' + JSON.stringify(props[propName], null, '  ') + '\\nValid keys: ' + JSON.stringify(Object.keys(shapeTypes), null, '  '));\n        }\n\n        var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret);\n\n        if (error) {\n          return error;\n        }\n      }\n\n      return null;\n    }\n\n    return createChainableTypeChecker(validate);\n  }\n\n  function isNode(propValue) {\n    switch (_babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_0___default()(propValue)) {\n      case 'number':\n      case 'string':\n      case 'undefined':\n        return true;\n\n      case 'boolean':\n        return !propValue;\n\n      case 'object':\n        if (Array.isArray(propValue)) {\n          return propValue.every(isNode);\n        }\n\n        if (propValue === null || isValidElement(propValue)) {\n          return true;\n        }\n\n        var iteratorFn = getIteratorFn(propValue);\n\n        if (iteratorFn) {\n          var iterator = iteratorFn.call(propValue);\n          var step;\n\n          if (iteratorFn !== propValue.entries) {\n            while (!(step = iterator.next()).done) {\n              if (!isNode(step.value)) {\n                return false;\n              }\n            }\n          } else {\n            // Iterator will provide entry [k,v] tuples rather than values.\n            while (!(step = iterator.next()).done) {\n              var entry = step.value;\n\n              if (entry) {\n                if (!isNode(entry[1])) {\n                  return false;\n                }\n              }\n            }\n          }\n        } else {\n          return false;\n        }\n\n        return true;\n\n      default:\n        return false;\n    }\n  }\n\n  function isSymbol(propType, propValue) {\n    // Native Symbol.\n    if (propType === 'symbol') {\n      return true;\n    } // falsy value can't be a Symbol\n\n\n    if (!propValue) {\n      return false;\n    } // 19.4.3.5 Symbol.prototype[@@toStringTag] === 'Symbol'\n\n\n    if (propValue['@@toStringTag'] === 'Symbol') {\n      return true;\n    } // Fallback for non-spec compliant Symbols which are polyfilled.\n\n\n    if (typeof Symbol === 'function' && propValue instanceof Symbol) {\n      return true;\n    }\n\n    return false;\n  } // Equivalent of `typeof` but with special handling for array and regexp.\n\n\n  function getPropType(propValue) {\n    var propType = _babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_0___default()(propValue);\n\n    if (Array.isArray(propValue)) {\n      return 'array';\n    }\n\n    if (propValue instanceof RegExp) {\n      // Old webkits (at least until Android 4.0) return 'function' rather than\n      // 'object' for typeof a RegExp. We'll normalize this here so that /bla/\n      // passes PropTypes.object.\n      return 'object';\n    }\n\n    if (isSymbol(propType, propValue)) {\n      return 'symbol';\n    }\n\n    return propType;\n  } // This handles more types than `getPropType`. Only used for error messages.\n  // See `createPrimitiveTypeChecker`.\n\n\n  function getPreciseType(propValue) {\n    if (typeof propValue === 'undefined' || propValue === null) {\n      return '' + propValue;\n    }\n\n    var propType = getPropType(propValue);\n\n    if (propType === 'object') {\n      if (propValue instanceof Date) {\n        return 'date';\n      } else if (propValue instanceof RegExp) {\n        return 'regexp';\n      }\n    }\n\n    return propType;\n  } // Returns a string that is postfixed to a warning about an invalid type.\n  // For example, \"undefined\" or \"of type array\"\n\n\n  function getPostfixForTypeWarning(value) {\n    var type = getPreciseType(value);\n\n    switch (type) {\n      case 'array':\n      case 'object':\n        return 'an ' + type;\n\n      case 'boolean':\n      case 'date':\n      case 'regexp':\n        return 'a ' + type;\n\n      default:\n        return type;\n    }\n  } // Returns class name of the object, if any.\n\n\n  function getClassName(propValue) {\n    if (!propValue.constructor || !propValue.constructor.name) {\n      return ANONYMOUS;\n    }\n\n    return propValue.constructor.name;\n  }\n\n  ReactPropTypes.checkPropTypes = checkPropTypes;\n  ReactPropTypes.resetWarningCache = checkPropTypes.resetWarningCache;\n  ReactPropTypes.PropTypes = ReactPropTypes;\n  return ReactPropTypes;\n};\n/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__(/*! ./../../../node_modules/webpack/buildin/harmony-module.js */ \"./node_modules/webpack/buildin/harmony-module.js\")(module)))\n\n//# sourceURL=webpack:///./reactapp/node_modules/prop-types/factoryWithTypeCheckers.js?");

/***/ }),

/***/ "./reactapp/node_modules/prop-types/index.js":
/*!***************************************************!*\
  !*** ./reactapp/node_modules/prop-types/index.js ***!
  \***************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("/**\n * Copyright (c) 2013-present, Facebook, Inc.\n *\n * This source code is licensed under the MIT license found in the\n * LICENSE file in the root directory of this source tree.\n */\nif (true) {\n  var ReactIs = __webpack_require__(/*! react-is */ \"react-is\"); // By explicitly using `prop-types` you are opting into new development behavior.\n  // http://fb.me/prop-types-in-prod\n\n\n  var throwOnDirectAccess = true;\n  module.exports = __webpack_require__(/*! ./factoryWithTypeCheckers */ \"./reactapp/node_modules/prop-types/factoryWithTypeCheckers.js\")(ReactIs.isElement, throwOnDirectAccess);\n} else {}\n\n//# sourceURL=webpack:///./reactapp/node_modules/prop-types/index.js?");

/***/ }),

/***/ "./reactapp/node_modules/prop-types/lib/ReactPropTypesSecret.js":
/*!**********************************************************************!*\
  !*** ./reactapp/node_modules/prop-types/lib/ReactPropTypesSecret.js ***!
  \**********************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
eval("/**\n * Copyright (c) 2013-present, Facebook, Inc.\n *\n * This source code is licensed under the MIT license found in the\n * LICENSE file in the root directory of this source tree.\n */\n\n\nvar ReactPropTypesSecret = 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED';\nmodule.exports = ReactPropTypesSecret;\n\n//# sourceURL=webpack:///./reactapp/node_modules/prop-types/lib/ReactPropTypesSecret.js?");

/***/ }),

/***/ "./reactapp/node_modules/react-async/dist-web/index.js":
/*!*************************************************************!*\
  !*** ./reactapp/node_modules/react-async/dist-web/index.js ***!
  \*************************************************************/
/*! exports provided: default, ActionTypes, Async, FetchError, IfFulfilled, IfInitial, IfPending, IfRejected, IfSettled, StatusTypes, createInstance, dispatchMiddleware, globalScope, init, neverSettle, reducer, useAsync, useFetch */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"ActionTypes\", function() { return ActionTypes; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Async\", function() { return Async$1; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"FetchError\", function() { return FetchError; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"IfFulfilled\", function() { return IfFulfilled; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"IfInitial\", function() { return IfInitial; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"IfPending\", function() { return IfPending; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"IfRejected\", function() { return IfRejected; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"IfSettled\", function() { return IfSettled; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"StatusTypes\", function() { return StatusTypes; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"createInstance\", function() { return createInstance; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"dispatchMiddleware\", function() { return dispatchMiddleware; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"globalScope\", function() { return globalScope; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"init\", function() { return init; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"neverSettle\", function() { return neverSettle; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"reducer\", function() { return reducer; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"useAsync\", function() { return useAsync$1; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"useFetch\", function() { return useFetch; });\n/* harmony import */ var _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @babel/runtime/helpers/objectWithoutProperties */ \"@babel/runtime/helpers/objectWithoutProperties\");\n/* harmony import */ var _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _babel_runtime_helpers_wrapNativeSuper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @babel/runtime/helpers/wrapNativeSuper */ \"@babel/runtime/helpers/wrapNativeSuper\");\n/* harmony import */ var _babel_runtime_helpers_wrapNativeSuper__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_wrapNativeSuper__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var _babel_runtime_helpers_slicedToArray__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @babel/runtime/helpers/slicedToArray */ \"@babel/runtime/helpers/slicedToArray\");\n/* harmony import */ var _babel_runtime_helpers_slicedToArray__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_slicedToArray__WEBPACK_IMPORTED_MODULE_2__);\n/* harmony import */ var _babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @babel/runtime/helpers/toConsumableArray */ \"@babel/runtime/helpers/toConsumableArray\");\n/* harmony import */ var _babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_3__);\n/* harmony import */ var _babel_runtime_helpers_createClass__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @babel/runtime/helpers/createClass */ \"@babel/runtime/helpers/createClass\");\n/* harmony import */ var _babel_runtime_helpers_createClass__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_createClass__WEBPACK_IMPORTED_MODULE_4__);\n/* harmony import */ var _babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @babel/runtime/helpers/assertThisInitialized */ \"@babel/runtime/helpers/assertThisInitialized\");\n/* harmony import */ var _babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_5__);\n/* harmony import */ var _babel_runtime_helpers_inherits__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @babel/runtime/helpers/inherits */ \"@babel/runtime/helpers/inherits\");\n/* harmony import */ var _babel_runtime_helpers_inherits__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_inherits__WEBPACK_IMPORTED_MODULE_6__);\n/* harmony import */ var _babel_runtime_helpers_possibleConstructorReturn__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @babel/runtime/helpers/possibleConstructorReturn */ \"@babel/runtime/helpers/possibleConstructorReturn\");\n/* harmony import */ var _babel_runtime_helpers_possibleConstructorReturn__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_possibleConstructorReturn__WEBPACK_IMPORTED_MODULE_7__);\n/* harmony import */ var _babel_runtime_helpers_getPrototypeOf__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @babel/runtime/helpers/getPrototypeOf */ \"@babel/runtime/helpers/getPrototypeOf\");\n/* harmony import */ var _babel_runtime_helpers_getPrototypeOf__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_getPrototypeOf__WEBPACK_IMPORTED_MODULE_8__);\n/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @babel/runtime/helpers/defineProperty */ \"@babel/runtime/helpers/defineProperty\");\n/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_9__);\n/* harmony import */ var _babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! @babel/runtime/helpers/classCallCheck */ \"@babel/runtime/helpers/classCallCheck\");\n/* harmony import */ var _babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_10__);\n/* harmony import */ var _babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @babel/runtime/helpers/typeof */ \"@babel/runtime/helpers/typeof\");\n/* harmony import */ var _babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_11__);\n/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! react */ \"react\");\n/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_12__);\n\n\n\n\n\n\n\n\n\n\n\n\n\nfunction _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _babel_runtime_helpers_getPrototypeOf__WEBPACK_IMPORTED_MODULE_8___default()(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _babel_runtime_helpers_getPrototypeOf__WEBPACK_IMPORTED_MODULE_8___default()(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _babel_runtime_helpers_possibleConstructorReturn__WEBPACK_IMPORTED_MODULE_7___default()(this, result); }; }\n\nfunction _isNativeReflectConstruct() { if (typeof Reflect === \"undefined\" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === \"function\") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }\n\nfunction ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }\n\nfunction _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_9___default()(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }\n\n\n/* istanbul ignore file */\n\n/**\n * Universal global scope object. In the browser this is `self`, in Node.js and React Native it's `global`.\n * This file is excluded from coverage reporting because these globals are environment-specific so we can't test them all.\n */\n\nvar globalScope = function () {\n  if ((typeof self === \"undefined\" ? \"undefined\" : _babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_11___default()(self)) === \"object\" && self.self === self) return self;\n  if ((typeof global === \"undefined\" ? \"undefined\" : _babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_11___default()(global)) === \"object\" && global.global === global) return global;\n  if ((typeof global === \"undefined\" ? \"undefined\" : _babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_11___default()(global)) === \"object\" && global.GLOBAL === global) return global;\n  return {}; // fallback that relies on imported modules to be singletons\n}();\n/**\n * Globally available object used to connect the DevTools to all React Async instances.\n */\n\n\nglobalScope.__REACT_ASYNC__ = globalScope.__REACT_ASYNC__ || {};\n\nvar noop = function noop() {};\n\nvar MockAbortController = function MockAbortController() {\n  _babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_10___default()(this, MockAbortController);\n\n  this.abort = noop;\n  this.signal = {};\n};\n\nvar PropTypes;\n\ntry {\n  PropTypes = __webpack_require__(/*! prop-types */ \"./reactapp/node_modules/prop-types/index.js\");\n} catch (e) {}\n\nvar childrenFn = PropTypes && PropTypes.oneOfType([PropTypes.node, PropTypes.func]);\nvar stateObject = PropTypes && PropTypes.shape({\n  initialValue: PropTypes.any,\n  data: PropTypes.any,\n  error: PropTypes.instanceOf(Error),\n  value: PropTypes.any,\n  startedAt: PropTypes.instanceOf(Date),\n  finishedAt: PropTypes.instanceOf(Date),\n  status: PropTypes.oneOf([\"initial\", \"pending\", \"fulfilled\", \"rejected\"]),\n  isInitial: PropTypes.bool,\n  isPending: PropTypes.bool,\n  isLoading: PropTypes.bool,\n  isFulfilled: PropTypes.bool,\n  isResolved: PropTypes.bool,\n  isRejected: PropTypes.bool,\n  isSettled: PropTypes.bool,\n  counter: PropTypes.number,\n  promise: PropTypes.instanceOf(Promise),\n  run: PropTypes.func,\n  reload: PropTypes.func,\n  cancel: PropTypes.func,\n  setData: PropTypes.func,\n  setError: PropTypes.func\n});\nvar propTypes = PropTypes && {\n  Async: {\n    children: childrenFn,\n    promise: PropTypes.instanceOf(Promise),\n    promiseFn: PropTypes.func,\n    deferFn: PropTypes.func,\n    watch: PropTypes.any,\n    watchFn: PropTypes.func,\n    initialValue: PropTypes.any,\n    onResolve: PropTypes.func,\n    onReject: PropTypes.func,\n    reducer: PropTypes.func,\n    dispatcher: PropTypes.func,\n    debugLabel: PropTypes.string,\n    suspense: PropTypes.bool\n  },\n  Initial: {\n    children: childrenFn,\n    state: stateObject.isRequired,\n    persist: PropTypes.bool\n  },\n  Pending: {\n    children: childrenFn,\n    state: stateObject.isRequired,\n    initial: PropTypes.bool\n  },\n  Fulfilled: {\n    children: childrenFn,\n    state: stateObject.isRequired,\n    persist: PropTypes.bool\n  },\n  Rejected: {\n    children: childrenFn,\n    state: stateObject.isRequired,\n    persist: PropTypes.bool\n  },\n  Settled: {\n    children: childrenFn,\n    state: stateObject.isRequired,\n    persist: PropTypes.bool\n  }\n};\n\nvar renderFn = function renderFn(children) {\n  if (typeof children === \"function\") {\n    var render = children;\n\n    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {\n      args[_key - 1] = arguments[_key];\n    }\n\n    return render.apply(void 0, args);\n  }\n\n  return children;\n};\n/**\n * Renders only when no promise has started or completed yet.\n *\n * @prop {Function|Node} children Function (passing state) or React node\n * @prop {Object} state React Async state object\n * @prop {boolean} persist Show until we have data, even while pending (loading) or when an error occurred\n */\n\n\nvar IfInitial = function IfInitial(_ref) {\n  var children = _ref.children,\n      persist = _ref.persist,\n      _ref$state = _ref.state,\n      state = _ref$state === void 0 ? {} : _ref$state;\n  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(react__WEBPACK_IMPORTED_MODULE_12___default.a.Fragment, null, state.isInitial || persist && !state.data ? renderFn(children, state) : null);\n};\n/**\n * Renders only while pending (promise is loading).\n *\n * @prop {Function|Node} children Function (passing state) or React node\n * @prop {Object} state React Async state object\n * @prop {boolean} initial Show only on initial load (data is undefined)\n */\n\n\nvar IfPending = function IfPending(_ref2) {\n  var children = _ref2.children,\n      initial = _ref2.initial,\n      _ref2$state = _ref2.state,\n      state = _ref2$state === void 0 ? {} : _ref2$state;\n  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(react__WEBPACK_IMPORTED_MODULE_12___default.a.Fragment, null, state.isPending && (!initial || !state.value) ? renderFn(children, state) : null);\n};\n/**\n * Renders only when promise is resolved.\n *\n * @prop {Function|Node} children Function (passing data and state) or React node\n * @prop {Object} state React Async state object\n * @prop {boolean} persist Show old data while pending (promise is loading)\n */\n\n\nvar IfFulfilled = function IfFulfilled(_ref3) {\n  var children = _ref3.children,\n      persist = _ref3.persist,\n      _ref3$state = _ref3.state,\n      state = _ref3$state === void 0 ? {} : _ref3$state;\n  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(react__WEBPACK_IMPORTED_MODULE_12___default.a.Fragment, null, state.isFulfilled || persist && state.data ? renderFn(children, state.data, state) : null);\n};\n/**\n * Renders only when promise is rejected.\n *\n * @prop {Function|Node} children Function (passing error and state) or React node\n * @prop {Object} state React Async state object\n * @prop {boolean} persist Show old error while pending (promise is loading)\n */\n\n\nvar IfRejected = function IfRejected(_ref4) {\n  var children = _ref4.children,\n      persist = _ref4.persist,\n      _ref4$state = _ref4.state,\n      state = _ref4$state === void 0 ? {} : _ref4$state;\n  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(react__WEBPACK_IMPORTED_MODULE_12___default.a.Fragment, null, state.isRejected || persist && state.error ? renderFn(children, state.error, state) : null);\n};\n/**\n * Renders only when promise is fulfilled or rejected.\n *\n * @prop {Function|Node} children Function (passing state) or React node\n * @prop {Object} state React Async state object\n * @prop {boolean} persist Show old data or error while pending (promise is loading)\n */\n\n\nvar IfSettled = function IfSettled(_ref5) {\n  var children = _ref5.children,\n      persist = _ref5.persist,\n      _ref5$state = _ref5.state,\n      state = _ref5$state === void 0 ? {} : _ref5$state;\n  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(react__WEBPACK_IMPORTED_MODULE_12___default.a.Fragment, null, state.isSettled || persist && state.value ? renderFn(children, state) : null);\n};\n\nif (propTypes) {\n  IfInitial.propTypes = propTypes.Initial;\n  IfPending.propTypes = propTypes.Pending;\n  IfFulfilled.propTypes = propTypes.Fulfilled;\n  IfRejected.propTypes = propTypes.Rejected;\n  IfSettled.propTypes = propTypes.Settled;\n}\n\nvar StatusTypes;\n\n(function (StatusTypes) {\n  StatusTypes[\"initial\"] = \"initial\";\n  StatusTypes[\"pending\"] = \"pending\";\n  StatusTypes[\"fulfilled\"] = \"fulfilled\";\n  StatusTypes[\"rejected\"] = \"rejected\";\n})(StatusTypes || (StatusTypes = {}));\n\nvar getInitialStatus = function getInitialStatus(value, promise) {\n  if (value instanceof Error) return StatusTypes.rejected;\n  if (value !== undefined) return StatusTypes.fulfilled;\n  if (promise) return StatusTypes.pending;\n  return StatusTypes.initial;\n};\n\nvar getIdleStatus = function getIdleStatus(value) {\n  if (value instanceof Error) return StatusTypes.rejected;\n  if (value !== undefined) return StatusTypes.fulfilled;\n  return StatusTypes.initial;\n};\n\nvar getStatusProps = function getStatusProps(status) {\n  return {\n    status: status,\n    isInitial: status === StatusTypes.initial,\n    isPending: status === StatusTypes.pending,\n    isLoading: status === StatusTypes.pending,\n    isFulfilled: status === StatusTypes.fulfilled,\n    isResolved: status === StatusTypes.fulfilled,\n    isRejected: status === StatusTypes.rejected,\n    isSettled: status === StatusTypes.fulfilled || status === StatusTypes.rejected\n  };\n}; // This exists to make sure we don't hold any references to user-provided functions\n// The way NeverSettle extends from Promise is complicated, but can't be done differently because Babel doesn't support\n// extending built-in classes. See https://babeljs.io/docs/en/caveats/#classes\n\n\nvar NeverSettle = function NeverSettle() {};\n/* istanbul ignore next */\n\n\nif (Object.setPrototypeOf) {\n  Object.setPrototypeOf(NeverSettle, Promise);\n} else {\n  NeverSettle.__proto__ = Promise;\n}\n\nNeverSettle.prototype = Object.assign(Object.create(Promise.prototype), {\n  \"finally\": function _finally() {\n    return this;\n  },\n  \"catch\": function _catch() {\n    return this;\n  },\n  then: function then() {\n    return this;\n  }\n});\nvar neverSettle = new NeverSettle();\nvar ActionTypes;\n\n(function (ActionTypes) {\n  ActionTypes[\"start\"] = \"start\";\n  ActionTypes[\"cancel\"] = \"cancel\";\n  ActionTypes[\"fulfill\"] = \"fulfill\";\n  ActionTypes[\"reject\"] = \"reject\";\n})(ActionTypes || (ActionTypes = {}));\n\nvar init = function init(_ref6) {\n  var initialValue = _ref6.initialValue,\n      promise = _ref6.promise,\n      promiseFn = _ref6.promiseFn;\n  return _objectSpread(_objectSpread({\n    initialValue: initialValue,\n    data: initialValue instanceof Error ? undefined : initialValue,\n    error: initialValue instanceof Error ? initialValue : undefined,\n    value: initialValue,\n    startedAt: promise || promiseFn ? new Date() : undefined,\n    finishedAt: initialValue ? new Date() : undefined\n  }, getStatusProps(getInitialStatus(initialValue, promise || promiseFn))), {}, {\n    counter: 0,\n    promise: neverSettle\n  });\n};\n\nvar reducer = function reducer(state, action) {\n  switch (action.type) {\n    case ActionTypes.start:\n      return _objectSpread(_objectSpread(_objectSpread({}, state), {}, {\n        startedAt: new Date(),\n        finishedAt: undefined\n      }, getStatusProps(StatusTypes.pending)), {}, {\n        counter: action.meta.counter,\n        promise: action.meta.promise\n      });\n\n    case ActionTypes.cancel:\n      return _objectSpread(_objectSpread(_objectSpread({}, state), {}, {\n        startedAt: undefined,\n        finishedAt: undefined\n      }, getStatusProps(getIdleStatus(state.error || state.data))), {}, {\n        counter: action.meta.counter,\n        promise: action.meta.promise\n      });\n\n    case ActionTypes.fulfill:\n      return _objectSpread(_objectSpread(_objectSpread({}, state), {}, {\n        data: action.payload,\n        value: action.payload,\n        error: undefined,\n        finishedAt: new Date()\n      }, getStatusProps(StatusTypes.fulfilled)), {}, {\n        promise: action.meta.promise\n      });\n\n    case ActionTypes.reject:\n      return _objectSpread(_objectSpread(_objectSpread({}, state), {}, {\n        error: action.payload,\n        value: action.payload,\n        finishedAt: new Date()\n      }, getStatusProps(StatusTypes.rejected)), {}, {\n        promise: action.meta.promise\n      });\n\n    default:\n      return state;\n  }\n};\n\nvar dispatchMiddleware = function dispatchMiddleware(dispatch) {\n  return function (action) {\n    for (var _len2 = arguments.length, args = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {\n      args[_key2 - 1] = arguments[_key2];\n    }\n\n    dispatch.apply(void 0, [action].concat(args));\n\n    if (action.type === ActionTypes.start && typeof action.payload === \"function\") {\n      action.payload();\n    }\n  };\n};\n\nvar Async = /*#__PURE__*/function (_React$Component) {\n  _babel_runtime_helpers_inherits__WEBPACK_IMPORTED_MODULE_6___default()(Async, _React$Component);\n\n  var _super = _createSuper(Async);\n\n  function Async() {\n    _babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_10___default()(this, Async);\n\n    return _super.apply(this, arguments);\n  }\n\n  return Async;\n}(react__WEBPACK_IMPORTED_MODULE_12___default.a.Component);\n/**\n * createInstance allows you to create instances of Async that are bound to a specific promise.\n * A unique instance also uses its own React context for better nesting capability.\n */\n\n\nfunction createInstance() {\n  var defaultOptions = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};\n  var displayName = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : \"Async\";\n\n  var _React$createContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createContext(undefined),\n      UnguardedConsumer = _React$createContext.Consumer,\n      Provider = _React$createContext.Provider;\n\n  function Consumer(_ref7) {\n    var children = _ref7.children;\n    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(UnguardedConsumer, null, function (value) {\n      if (!value) {\n        throw new Error(\"this component should only be used within an associated <Async> component!\");\n      }\n\n      return children(value);\n    });\n  }\n\n  var Async = /*#__PURE__*/function (_React$Component2) {\n    _babel_runtime_helpers_inherits__WEBPACK_IMPORTED_MODULE_6___default()(Async, _React$Component2);\n\n    var _super2 = _createSuper(Async);\n\n    function Async(props) {\n      var _this;\n\n      _babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_10___default()(this, Async);\n\n      _this = _super2.call(this, props);\n      _this.mounted = false;\n      _this.counter = 0;\n      _this.args = [];\n      _this.promise = neverSettle;\n      _this.abortController = new MockAbortController();\n      _this.start = _this.start.bind(_babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_5___default()(_this));\n      _this.load = _this.load.bind(_babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_5___default()(_this));\n      _this.run = _this.run.bind(_babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_5___default()(_this));\n      _this.cancel = _this.cancel.bind(_babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_5___default()(_this));\n      _this.onResolve = _this.onResolve.bind(_babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_5___default()(_this));\n      _this.onReject = _this.onReject.bind(_babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_5___default()(_this));\n      _this.setData = _this.setData.bind(_babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_5___default()(_this));\n      _this.setError = _this.setError.bind(_babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_5___default()(_this));\n      var promise = props.promise;\n      var promiseFn = props.promiseFn || defaultOptions.promiseFn;\n      var initialValue = props.initialValue || defaultOptions.initialValue;\n      _this.state = _objectSpread(_objectSpread({}, init({\n        initialValue: initialValue,\n        promise: promise,\n        promiseFn: promiseFn\n      })), {}, {\n        cancel: _this.cancel,\n        run: _this.run,\n        reload: function reload() {\n          var _this2;\n\n          _this.load();\n\n          (_this2 = _this).run.apply(_this2, _babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_3___default()(_this.args));\n        },\n        setData: _this.setData,\n        setError: _this.setError\n      });\n      _this.debugLabel = props.debugLabel || defaultOptions.debugLabel;\n      var devToolsDispatcher = globalScope.__REACT_ASYNC__.devToolsDispatcher;\n\n      var _reducer = props.reducer || defaultOptions.reducer;\n\n      var _dispatcher = props.dispatcher || defaultOptions.dispatcher || devToolsDispatcher;\n\n      var reducer$1 = _reducer ? function (state, action) {\n        return _reducer(state, action, reducer);\n      } : reducer;\n      var dispatch = dispatchMiddleware(function (action, callback) {\n        _this.setState(function (state) {\n          return reducer$1(state, action);\n        }, callback);\n      });\n      _this.dispatch = _dispatcher ? function (action) {\n        return _dispatcher(action, dispatch, props);\n      } : dispatch;\n      return _this;\n    }\n\n    _babel_runtime_helpers_createClass__WEBPACK_IMPORTED_MODULE_4___default()(Async, [{\n      key: \"componentDidMount\",\n      value: function componentDidMount() {\n        this.mounted = true;\n\n        if (this.props.promise || !this.state.initialValue) {\n          this.load();\n        }\n      }\n    }, {\n      key: \"componentDidUpdate\",\n      value: function componentDidUpdate(prevProps) {\n        var _this$props = this.props,\n            watch = _this$props.watch,\n            _this$props$watchFn = _this$props.watchFn,\n            watchFn = _this$props$watchFn === void 0 ? defaultOptions.watchFn : _this$props$watchFn,\n            promise = _this$props.promise,\n            promiseFn = _this$props.promiseFn;\n\n        if (watch !== prevProps.watch) {\n          if (this.counter) this.cancel();\n          return this.load();\n        }\n\n        if (watchFn && watchFn(_objectSpread(_objectSpread({}, defaultOptions), this.props), _objectSpread(_objectSpread({}, defaultOptions), prevProps))) {\n          if (this.counter) this.cancel();\n          return this.load();\n        }\n\n        if (promise !== prevProps.promise) {\n          if (this.counter) this.cancel();\n          if (promise) return this.load();\n        }\n\n        if (promiseFn !== prevProps.promiseFn) {\n          if (this.counter) this.cancel();\n          if (promiseFn) return this.load();\n        }\n      }\n    }, {\n      key: \"componentWillUnmount\",\n      value: function componentWillUnmount() {\n        this.cancel();\n        this.mounted = false;\n      }\n    }, {\n      key: \"getMeta\",\n      value: function getMeta(meta) {\n        return _objectSpread({\n          counter: this.counter,\n          promise: this.promise,\n          debugLabel: this.debugLabel\n        }, meta);\n      }\n    }, {\n      key: \"start\",\n      value: function start(promiseFn) {\n        var _this3 = this;\n\n        if (\"AbortController\" in globalScope) {\n          this.abortController.abort();\n          this.abortController = new globalScope.AbortController();\n        }\n\n        this.counter++;\n        return this.promise = new Promise(function (resolve, reject) {\n          if (!_this3.mounted) return;\n\n          var executor = function executor() {\n            return promiseFn().then(resolve, reject);\n          };\n\n          _this3.dispatch({\n            type: ActionTypes.start,\n            payload: executor,\n            meta: _this3.getMeta()\n          });\n        });\n      }\n    }, {\n      key: \"load\",\n      value: function load() {\n        var _this4 = this;\n\n        var promise = this.props.promise;\n        var promiseFn = this.props.promiseFn || defaultOptions.promiseFn;\n\n        if (promise) {\n          this.start(function () {\n            return promise;\n          }).then(this.onResolve(this.counter))[\"catch\"](this.onReject(this.counter));\n        } else if (promiseFn) {\n          var props = _objectSpread(_objectSpread({}, defaultOptions), this.props);\n\n          this.start(function () {\n            return promiseFn(props, _this4.abortController);\n          }).then(this.onResolve(this.counter))[\"catch\"](this.onReject(this.counter));\n        }\n      }\n    }, {\n      key: \"run\",\n      value: function run() {\n        var _this5 = this;\n\n        for (var _len3 = arguments.length, args = new Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {\n          args[_key3] = arguments[_key3];\n        }\n\n        var deferFn = this.props.deferFn || defaultOptions.deferFn;\n\n        if (deferFn) {\n          this.args = args;\n\n          var props = _objectSpread(_objectSpread({}, defaultOptions), this.props);\n\n          return this.start(function () {\n            return deferFn(args, props, _this5.abortController);\n          }).then(this.onResolve(this.counter), this.onReject(this.counter));\n        }\n      }\n    }, {\n      key: \"cancel\",\n      value: function cancel() {\n        var onCancel = this.props.onCancel || defaultOptions.onCancel;\n        onCancel && onCancel();\n        this.counter++;\n        this.abortController.abort();\n        this.mounted && this.dispatch({\n          type: ActionTypes.cancel,\n          meta: this.getMeta()\n        });\n      }\n    }, {\n      key: \"onResolve\",\n      value: function onResolve(counter) {\n        var _this6 = this;\n\n        return function (data) {\n          if (_this6.counter === counter) {\n            var onResolve = _this6.props.onResolve || defaultOptions.onResolve;\n\n            _this6.setData(data, function () {\n              return onResolve && onResolve(data);\n            });\n          }\n\n          return data;\n        };\n      }\n    }, {\n      key: \"onReject\",\n      value: function onReject(counter) {\n        var _this7 = this;\n\n        return function (error) {\n          if (_this7.counter === counter) {\n            var onReject = _this7.props.onReject || defaultOptions.onReject;\n\n            _this7.setError(error, function () {\n              return onReject && onReject(error);\n            });\n          }\n\n          return error;\n        };\n      }\n    }, {\n      key: \"setData\",\n      value: function setData(data, callback) {\n        this.mounted && this.dispatch({\n          type: ActionTypes.fulfill,\n          payload: data,\n          meta: this.getMeta()\n        }, callback);\n        return data;\n      }\n    }, {\n      key: \"setError\",\n      value: function setError(error, callback) {\n        this.mounted && this.dispatch({\n          type: ActionTypes.reject,\n          payload: error,\n          error: true,\n          meta: this.getMeta()\n        }, callback);\n        return error;\n      }\n    }, {\n      key: \"render\",\n      value: function render() {\n        var _this$props2 = this.props,\n            children = _this$props2.children,\n            suspense = _this$props2.suspense;\n\n        if (suspense && this.state.isPending && this.promise !== neverSettle) {\n          // Rely on Suspense to handle the loading state\n          throw this.promise;\n        }\n\n        if (typeof children === \"function\") {\n          var render = children;\n          return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(Provider, {\n            value: this.state\n          }, render(this.state));\n        }\n\n        if (children !== undefined && children !== null) {\n          return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(Provider, {\n            value: this.state\n          }, children);\n        }\n\n        return null;\n      }\n    }]);\n\n    return Async;\n  }(react__WEBPACK_IMPORTED_MODULE_12___default.a.Component);\n\n  if (propTypes) Async.propTypes = propTypes.Async;\n\n  var AsyncInitial = function AsyncInitial(props) {\n    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(Consumer, null, function (st) {\n      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(IfInitial, Object.assign({}, props, {\n        state: st\n      }));\n    });\n  };\n\n  var AsyncPending = function AsyncPending(props) {\n    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(Consumer, null, function (st) {\n      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(IfPending, Object.assign({}, props, {\n        state: st\n      }));\n    });\n  };\n\n  var AsyncFulfilled = function AsyncFulfilled(props) {\n    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(Consumer, null, function (st) {\n      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(IfFulfilled, Object.assign({}, props, {\n        state: st\n      }));\n    });\n  };\n\n  var AsyncRejected = function AsyncRejected(props) {\n    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(Consumer, null, function (st) {\n      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(IfRejected, Object.assign({}, props, {\n        state: st\n      }));\n    });\n  };\n\n  var AsyncSettled = function AsyncSettled(props) {\n    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(Consumer, null, function (st) {\n      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_12___default.a.createElement(IfSettled, Object.assign({}, props, {\n        state: st\n      }));\n    });\n  };\n\n  AsyncInitial.displayName = \"\".concat(displayName, \".Initial\");\n  AsyncPending.displayName = \"\".concat(displayName, \".Pending\");\n  AsyncFulfilled.displayName = \"\".concat(displayName, \".Fulfilled\");\n  AsyncRejected.displayName = \"\".concat(displayName, \".Rejected\");\n  AsyncSettled.displayName = \"\".concat(displayName, \".Settled\");\n  return Object.assign(Async, {\n    displayName: displayName,\n    Initial: AsyncInitial,\n    Pending: AsyncPending,\n    Loading: AsyncPending,\n    Fulfilled: AsyncFulfilled,\n    Resolved: AsyncFulfilled,\n    Rejected: AsyncRejected,\n    Settled: AsyncSettled\n  });\n}\n\nvar Async$1 = createInstance();\n\nfunction useAsync(arg1, arg2) {\n  var options = typeof arg1 === \"function\" ? _objectSpread(_objectSpread({}, arg2), {}, {\n    promiseFn: arg1\n  }) : arg1;\n  var counter = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useRef\"])(0);\n  var isMounted = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useRef\"])(true);\n  var lastArgs = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useRef\"])(undefined);\n  var lastOptions = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useRef\"])(options);\n  var lastPromise = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useRef\"])(neverSettle);\n  var abortController = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useRef\"])(new MockAbortController());\n  var devToolsDispatcher = globalScope.__REACT_ASYNC__.devToolsDispatcher;\n  var reducer$1 = options.reducer,\n      _options$dispatcher = options.dispatcher,\n      dispatcher = _options$dispatcher === void 0 ? devToolsDispatcher : _options$dispatcher;\n\n  var _useReducer = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useReducer\"])(reducer$1 ? function (state, action) {\n    return reducer$1(state, action, reducer);\n  } : reducer, options, init),\n      _useReducer2 = _babel_runtime_helpers_slicedToArray__WEBPACK_IMPORTED_MODULE_2___default()(_useReducer, 2),\n      state = _useReducer2[0],\n      _dispatch = _useReducer2[1];\n\n  var dispatch = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useCallback\"])(dispatcher ? function (action) {\n    return dispatcher(action, dispatchMiddleware(_dispatch), lastOptions.current);\n  } : dispatchMiddleware(_dispatch), [dispatcher]);\n  var debugLabel = options.debugLabel;\n  var getMeta = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useCallback\"])(function (meta) {\n    return _objectSpread({\n      counter: counter.current,\n      promise: lastPromise.current,\n      debugLabel: debugLabel\n    }, meta);\n  }, [debugLabel]);\n  var setData = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useCallback\"])(function (data) {\n    var callback = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : noop;\n\n    if (isMounted.current) {\n      dispatch({\n        type: ActionTypes.fulfill,\n        payload: data,\n        meta: getMeta()\n      });\n      callback();\n    }\n\n    return data;\n  }, [dispatch, getMeta]);\n  var setError = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useCallback\"])(function (error) {\n    var callback = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : noop;\n\n    if (isMounted.current) {\n      dispatch({\n        type: ActionTypes.reject,\n        payload: error,\n        error: true,\n        meta: getMeta()\n      });\n      callback();\n    }\n\n    return error;\n  }, [dispatch, getMeta]);\n  var onResolve = options.onResolve,\n      onReject = options.onReject;\n  var handleResolve = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useCallback\"])(function (count) {\n    return function (data) {\n      return count === counter.current && setData(data, function () {\n        return onResolve && onResolve(data);\n      });\n    };\n  }, [setData, onResolve]);\n  var handleReject = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useCallback\"])(function (count) {\n    return function (err) {\n      return count === counter.current && setError(err, function () {\n        return onReject && onReject(err);\n      });\n    };\n  }, [setError, onReject]);\n  var start = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useCallback\"])(function (promiseFn) {\n    if (\"AbortController\" in globalScope) {\n      abortController.current.abort();\n      abortController.current = new globalScope.AbortController();\n    }\n\n    counter.current++;\n    return lastPromise.current = new Promise(function (resolve, reject) {\n      if (!isMounted.current) return;\n\n      var executor = function executor() {\n        return promiseFn().then(resolve, reject);\n      };\n\n      dispatch({\n        type: ActionTypes.start,\n        payload: executor,\n        meta: getMeta()\n      });\n    });\n  }, [dispatch, getMeta]);\n  var promise = options.promise,\n      promiseFn = options.promiseFn,\n      initialValue = options.initialValue;\n  var load = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useCallback\"])(function () {\n    var isPreInitialized = initialValue && counter.current === 0;\n\n    if (promise) {\n      start(function () {\n        return promise;\n      }).then(handleResolve(counter.current))[\"catch\"](handleReject(counter.current));\n    } else if (promiseFn && !isPreInitialized) {\n      start(function () {\n        return promiseFn(lastOptions.current, abortController.current);\n      }).then(handleResolve(counter.current))[\"catch\"](handleReject(counter.current));\n    }\n  }, [start, promise, promiseFn, initialValue, handleResolve, handleReject]);\n  var deferFn = options.deferFn;\n  var run = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useCallback\"])(function () {\n    for (var _len4 = arguments.length, args = new Array(_len4), _key4 = 0; _key4 < _len4; _key4++) {\n      args[_key4] = arguments[_key4];\n    }\n\n    if (deferFn) {\n      lastArgs.current = args;\n      start(function () {\n        return deferFn(args, lastOptions.current, abortController.current);\n      }).then(handleResolve(counter.current))[\"catch\"](handleReject(counter.current));\n    }\n  }, [start, deferFn, handleResolve, handleReject]);\n  var reload = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useCallback\"])(function () {\n    lastArgs.current ? run.apply(void 0, _babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_3___default()(lastArgs.current)) : load();\n  }, [run, load]);\n  var onCancel = options.onCancel;\n  var cancel = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useCallback\"])(function () {\n    onCancel && onCancel();\n    counter.current++;\n    abortController.current.abort();\n    isMounted.current && dispatch({\n      type: ActionTypes.cancel,\n      meta: getMeta()\n    });\n  }, [onCancel, dispatch, getMeta]);\n  /* These effects should only be triggered on changes to specific props */\n\n  /* eslint-disable react-hooks/exhaustive-deps */\n\n  var watch = options.watch,\n      watchFn = options.watchFn;\n  Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useEffect\"])(function () {\n    if (watchFn && lastOptions.current && watchFn(options, lastOptions.current)) {\n      lastOptions.current = options;\n      load();\n    }\n  });\n  Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useEffect\"])(function () {\n    lastOptions.current = options;\n  }, [options]);\n  Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useEffect\"])(function () {\n    if (counter.current) cancel();\n    if (promise || promiseFn) load();\n  }, [promise, promiseFn, watch]);\n  Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useEffect\"])(function () {\n    return function () {\n      isMounted.current = false;\n    };\n  }, []);\n  Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useEffect\"])(function () {\n    return function () {\n      return cancel();\n    };\n  }, []);\n  /* eslint-enable react-hooks/exhaustive-deps */\n\n  Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useDebugValue\"])(state, function (_ref8) {\n    var status = _ref8.status;\n    return \"[\".concat(counter.current, \"] \").concat(status);\n  });\n\n  if (options.suspense && state.isPending && lastPromise.current !== neverSettle) {\n    // Rely on Suspense to handle the loading state\n    throw lastPromise.current;\n  }\n\n  return Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useMemo\"])(function () {\n    return _objectSpread(_objectSpread({}, state), {}, {\n      run: run,\n      reload: reload,\n      cancel: cancel,\n      setData: setData,\n      setError: setError\n    });\n  }, [state, run, reload, cancel, setData, setError]);\n}\n\nvar FetchError = /*#__PURE__*/function (_Error) {\n  _babel_runtime_helpers_inherits__WEBPACK_IMPORTED_MODULE_6___default()(FetchError, _Error);\n\n  var _super3 = _createSuper(FetchError);\n\n  function FetchError(response) {\n    var _this8;\n\n    _babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_10___default()(this, FetchError);\n\n    _this8 = _super3.call(this, \"\".concat(response.status, \" \").concat(response.statusText));\n    _this8.response = response;\n    /* istanbul ignore next */\n\n    if (Object.setPrototypeOf) {\n      // Not available in IE 10, but can be polyfilled\n      Object.setPrototypeOf(_babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_5___default()(_this8), FetchError.prototype);\n    }\n\n    return _this8;\n  }\n\n  return FetchError;\n}( /*#__PURE__*/_babel_runtime_helpers_wrapNativeSuper__WEBPACK_IMPORTED_MODULE_1___default()(Error));\n\nvar parseResponse = function parseResponse(accept, json) {\n  return function (res) {\n    if (!res.ok) return Promise.reject(new FetchError(res));\n    if (typeof json === \"boolean\") return json ? res.json() : res;\n    return accept === \"application/json\" ? res.json() : res;\n  };\n};\n\nfunction isEvent(e) {\n  return _babel_runtime_helpers_typeof__WEBPACK_IMPORTED_MODULE_11___default()(e) === \"object\" && \"preventDefault\" in e;\n}\n/**\n *\n * @param {RequestInfo} resource\n * @param {RequestInit} init\n * @param {FetchOptions} options\n * @returns {AsyncState<T, FetchRun<T>>}\n */\n\n\nfunction useAsyncFetch(resource, init) {\n  var _ref9 = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {},\n      defer = _ref9.defer,\n      json = _ref9.json,\n      options = _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_0___default()(_ref9, [\"defer\", \"json\"]);\n\n  var method = resource.method || init && init.method;\n  var headers = resource.headers || init && init.headers || {};\n  var accept = headers[\"Accept\"] || headers[\"accept\"] || headers.get && headers.get(\"accept\");\n\n  var doFetch = function doFetch(input, init) {\n    return globalScope.fetch(input, init).then(parseResponse(accept, json));\n  };\n\n  var isDefer = typeof defer === \"boolean\" ? defer : [\"POST\", \"PUT\", \"PATCH\", \"DELETE\"].indexOf(method) !== -1;\n  var fn = isDefer ? \"deferFn\" : \"promiseFn\";\n  var identity = JSON.stringify({\n    resource: resource,\n    init: init,\n    isDefer: isDefer\n  });\n  var promiseFn = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useCallback\"])(function (_, _ref10) {\n    var signal = _ref10.signal;\n    return doFetch(resource, _objectSpread({\n      signal: signal\n    }, init));\n  }, [identity] // eslint-disable-line react-hooks/exhaustive-deps\n  );\n  var deferFn = Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useCallback\"])(function (_ref11, _, _ref12) {\n    var _ref13 = _babel_runtime_helpers_slicedToArray__WEBPACK_IMPORTED_MODULE_2___default()(_ref11, 1),\n        override = _ref13[0];\n\n    var signal = _ref12.signal;\n\n    if (!override || isEvent(override)) {\n      return doFetch(resource, _objectSpread({\n        signal: signal\n      }, init));\n    }\n\n    if (typeof override === \"function\") {\n      var _override = override(_objectSpread({\n        resource: resource,\n        signal: signal\n      }, init)),\n          _runResource = _override.resource,\n          _runInit = _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_0___default()(_override, [\"resource\"]);\n\n      return doFetch(_runResource || resource, _objectSpread({\n        signal: signal\n      }, _runInit));\n    }\n\n    var runResource = override.resource,\n        runInit = _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_0___default()(override, [\"resource\"]);\n\n    return doFetch(runResource || resource, _objectSpread(_objectSpread({\n      signal: signal\n    }, init), runInit));\n  }, [identity] // eslint-disable-line react-hooks/exhaustive-deps\n  );\n  var state = useAsync(_objectSpread(_objectSpread({}, options), {}, _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_9___default()({}, fn, isDefer ? deferFn : promiseFn)));\n  Object(react__WEBPACK_IMPORTED_MODULE_12__[\"useDebugValue\"])(state, function (_ref14) {\n    var counter = _ref14.counter,\n        status = _ref14.status;\n    return \"[\".concat(counter, \"] \").concat(status);\n  });\n  return state;\n}\n\nvar unsupported = function unsupported() {\n  throw new Error(\"useAsync requires React v16.8 or up. Upgrade your React version or use the <Async> component instead.\");\n};\n\nvar useAsync$1 = react__WEBPACK_IMPORTED_MODULE_12__[\"useEffect\"] ? useAsync : unsupported;\nvar useFetch = react__WEBPACK_IMPORTED_MODULE_12__[\"useEffect\"] ? useAsyncFetch : unsupported;\n/* harmony default export */ __webpack_exports__[\"default\"] = (Async$1);\n\n\n//# sourceURL=webpack:///./reactapp/node_modules/react-async/dist-web/index.js?");

/***/ }),

/***/ "./reactapp/places.js":
/*!****************************!*\
  !*** ./reactapp/places.js ***!
  \****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ \"react\");\n/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var react_async__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-async */ \"./reactapp/node_modules/react-async/dist-web/index.js\");\n\n\nvar places = [];\n\nvar loadPlaces = function loadPlaces() {\n  return fetch(\"/api/v1/places\").then(function (res) {\n    return res.ok ? res : Promise.reject(res);\n  }).then(function (res) {\n    return res.json();\n  });\n};\n\n/* harmony default export */ __webpack_exports__[\"default\"] = (function () {\n  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_async__WEBPACK_IMPORTED_MODULE_1__[\"default\"], {\n    promiseFn: loadPlaces\n  }, function (_ref) {\n    var data = _ref.data,\n        err = _ref.err,\n        isLoading = _ref.isLoading;\n    if (isLoading) return \"Loading...\";\n    if (err) return \"Something went wrong: \".concat(err.message);\n    if (data) return places.map(function (place) {\n      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"tr\", {\n        key: place.id\n      }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"th\", {\n        scope: \"row\"\n      }, place.name.en), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"th\", null, place.location.address.street_address, \", \", place.location.postal_code, \" \", place.location.locality), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"th\", null, place.open));\n    });\n  });\n});\n\n//# sourceURL=webpack:///./reactapp/places.js?");

/***/ }),

/***/ "@babel/runtime/helpers/assertThisInitialized":
/*!***************************************************************!*\
  !*** external "@babel/runtime/helpers/assertThisInitialized" ***!
  \***************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"@babel/runtime/helpers/assertThisInitialized\");\n\n//# sourceURL=webpack:///external_%22@babel/runtime/helpers/assertThisInitialized%22?");

/***/ }),

/***/ "@babel/runtime/helpers/classCallCheck":
/*!********************************************************!*\
  !*** external "@babel/runtime/helpers/classCallCheck" ***!
  \********************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"@babel/runtime/helpers/classCallCheck\");\n\n//# sourceURL=webpack:///external_%22@babel/runtime/helpers/classCallCheck%22?");

/***/ }),

/***/ "@babel/runtime/helpers/createClass":
/*!*****************************************************!*\
  !*** external "@babel/runtime/helpers/createClass" ***!
  \*****************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"@babel/runtime/helpers/createClass\");\n\n//# sourceURL=webpack:///external_%22@babel/runtime/helpers/createClass%22?");

/***/ }),

/***/ "@babel/runtime/helpers/defineProperty":
/*!********************************************************!*\
  !*** external "@babel/runtime/helpers/defineProperty" ***!
  \********************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"@babel/runtime/helpers/defineProperty\");\n\n//# sourceURL=webpack:///external_%22@babel/runtime/helpers/defineProperty%22?");

/***/ }),

/***/ "@babel/runtime/helpers/getPrototypeOf":
/*!********************************************************!*\
  !*** external "@babel/runtime/helpers/getPrototypeOf" ***!
  \********************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"@babel/runtime/helpers/getPrototypeOf\");\n\n//# sourceURL=webpack:///external_%22@babel/runtime/helpers/getPrototypeOf%22?");

/***/ }),

/***/ "@babel/runtime/helpers/inherits":
/*!**************************************************!*\
  !*** external "@babel/runtime/helpers/inherits" ***!
  \**************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"@babel/runtime/helpers/inherits\");\n\n//# sourceURL=webpack:///external_%22@babel/runtime/helpers/inherits%22?");

/***/ }),

/***/ "@babel/runtime/helpers/objectWithoutProperties":
/*!*****************************************************************!*\
  !*** external "@babel/runtime/helpers/objectWithoutProperties" ***!
  \*****************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"@babel/runtime/helpers/objectWithoutProperties\");\n\n//# sourceURL=webpack:///external_%22@babel/runtime/helpers/objectWithoutProperties%22?");

/***/ }),

/***/ "@babel/runtime/helpers/possibleConstructorReturn":
/*!*******************************************************************!*\
  !*** external "@babel/runtime/helpers/possibleConstructorReturn" ***!
  \*******************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"@babel/runtime/helpers/possibleConstructorReturn\");\n\n//# sourceURL=webpack:///external_%22@babel/runtime/helpers/possibleConstructorReturn%22?");

/***/ }),

/***/ "@babel/runtime/helpers/slicedToArray":
/*!*******************************************************!*\
  !*** external "@babel/runtime/helpers/slicedToArray" ***!
  \*******************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"@babel/runtime/helpers/slicedToArray\");\n\n//# sourceURL=webpack:///external_%22@babel/runtime/helpers/slicedToArray%22?");

/***/ }),

/***/ "@babel/runtime/helpers/toConsumableArray":
/*!***********************************************************!*\
  !*** external "@babel/runtime/helpers/toConsumableArray" ***!
  \***********************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"@babel/runtime/helpers/toConsumableArray\");\n\n//# sourceURL=webpack:///external_%22@babel/runtime/helpers/toConsumableArray%22?");

/***/ }),

/***/ "@babel/runtime/helpers/typeof":
/*!************************************************!*\
  !*** external "@babel/runtime/helpers/typeof" ***!
  \************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"@babel/runtime/helpers/typeof\");\n\n//# sourceURL=webpack:///external_%22@babel/runtime/helpers/typeof%22?");

/***/ }),

/***/ "@babel/runtime/helpers/wrapNativeSuper":
/*!*********************************************************!*\
  !*** external "@babel/runtime/helpers/wrapNativeSuper" ***!
  \*********************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"@babel/runtime/helpers/wrapNativeSuper\");\n\n//# sourceURL=webpack:///external_%22@babel/runtime/helpers/wrapNativeSuper%22?");

/***/ }),

/***/ "express":
/*!**************************!*\
  !*** external "express" ***!
  \**************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"express\");\n\n//# sourceURL=webpack:///external_%22express%22?");

/***/ }),

/***/ "fs":
/*!*********************!*\
  !*** external "fs" ***!
  \*********************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"fs\");\n\n//# sourceURL=webpack:///external_%22fs%22?");

/***/ }),

/***/ "http":
/*!***********************!*\
  !*** external "http" ***!
  \***********************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"http\");\n\n//# sourceURL=webpack:///external_%22http%22?");

/***/ }),

/***/ "object-assign":
/*!********************************!*\
  !*** external "object-assign" ***!
  \********************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"object-assign\");\n\n//# sourceURL=webpack:///external_%22object-assign%22?");

/***/ }),

/***/ "path":
/*!***********************!*\
  !*** external "path" ***!
  \***********************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"path\");\n\n//# sourceURL=webpack:///external_%22path%22?");

/***/ }),

/***/ "react":
/*!************************!*\
  !*** external "react" ***!
  \************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"react\");\n\n//# sourceURL=webpack:///external_%22react%22?");

/***/ }),

/***/ "react-dom/server":
/*!***********************************!*\
  !*** external "react-dom/server" ***!
  \***********************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"react-dom/server\");\n\n//# sourceURL=webpack:///external_%22react-dom/server%22?");

/***/ }),

/***/ "react-is":
/*!***************************!*\
  !*** external "react-is" ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"react-is\");\n\n//# sourceURL=webpack:///external_%22react-is%22?");

/***/ })

/******/ });